"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const ApiApp_1 = require("./ApiApp");
const timed_1 = require("./util/timed");
class LambdaApp extends ApiApp_1.ApiApp {
    constructor(controllersPath, appContainer) {
        super(appContainer);
        this.controllersPath = controllersPath;
    }
    async initialise() {
        await super.initialiseControllers(this.controllersPath);
    }
    async invoke(event, context) {
        return await this.apiServer.processEvent(event, context);
    }
}
__decorate([
    timed_1.timed,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], LambdaApp.prototype, "invoke", null);
exports.LambdaApp = LambdaApp;
//# sourceMappingURL=LambdaApp.js.map